#
# spec file for package gp2c
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gp2c
Version:        0.0.9pl5
Release:        2.5
Summary:        GP script to PARI C program compiler
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://pari.math.u-bordeaux.fr/

#Git-Clone:	http://pari.math.u-bordeaux.fr/git/gp2c.git
#Git-Web:	http://pari.math.u-bordeaux.fr/cgi-bin/gitweb.cgi
Source:         http://pari.math.u-bordeaux.fr/pub/pari/GP2C/gp2c-%version.tar.gz
Source2:        http://pari.math.u-bordeaux.fr/pub/pari/GP2C/gp2c-%version.tar.gz.asc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes

%description
The gp2c compiler is a package for translating GP routines into the C
programming language, so that they can be compiled and used with the PARI
system or the GP calculator.

The main advantage of doing this is to speed up computations and to include
your own routines within the preexisting GP ones. It may also find bugs in GP
scripts.

%prep
%setup -q

%build
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
%fdupes %buildroot/%_prefix

%files
%defattr(-,root,root)
%_bindir/gp2c*
%_docdir/%name/
%_datadir/%name/
%_mandir/man1/gp2c*
%doc COPYING

%changelog
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 0.0.9pl5
  * Basic support for 0x and 0b integer prefix.
  * Support for localprec() and localbitprec()
  * Support for prototype code 'b' and bitprec.
* Mon Feb  2 2015 jengelh@inai.de
- Update to new upstream release 0.0.9pl3
  * Fix for multi-assignment of vecsmall
  * Casting lvalues did not work anymore since 0.0.7pl3
  * global(...):type declaration did not work
* Sat Aug  9 2014 jengelh@inai.de
- Update to new upstream release 0.0.9pl2
  * Fix mismatching prototypes
  * Use "const char *" for prototype code s
  * Added support for prototype code u and U and usmall (ulong).
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 0.0.9pl1
  * Support for PARI 2.7
  * multiple "forprime" in a single function did not work,
  which has been fixed
* Wed Feb  5 2014 jengelh@inai.de
- Initial package (version 0.0.8) for build.opensuse.org
- Add 0001-build-stop-misplacing-documentation.patch,
  0002-build-replace-outdated-autotools-calls.patch
